Subject: [manet] DSR route maintenance issue

From: manet user <[email-masked]>
Date: Tue, 9 Mar 2004 15:57:39 -0800 (PST)

Hi,
 
I have a question / concern regarding DSR route maintenance as suggested in the draft-ietf-manet-dsr-09. If i am using explicit acknowledgments for route maintenance, there are possibilities of receiving multiple duplicate packets. 
 
For instance, while forwarding data packet to next hop, i enable the bit in the packet header so that nexthop node should send me explicit ACK after receiving this data packet. If WLAN MAC layer is congested, my packet is still sitting at MAC to be retransmitted, whereas my ACK timer (50ms as suggested in draft) expires. I will retransmit the same data packet. This will lead to duplicate packets at destination. Under heavy traffic scenarios, this situation will happen frequently.
 
I did not find any measures in the draft for the same. Am i missing something in implemenation ? Please help. Thanks in advance.
 
-MU

---------------------------------
Do you Yahoo!?
Yahoo! Search - Find what you’re looking for faster.